Bug 11332 - Scrolling glitch for SVGA mediagx driver with 1024x768 16bpp
Scrolling glitch for SVGA mediagx driver with 1024x768 16bpp
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 2000-05-09 13:15 EDT by stuart
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-09 13:16:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XFree86 Xserver output for 1024x768 16bpp (7.30 KB, text/plain)
2000-05-09 13:16 EDT, stuart
no flags Details

  None (edit)
Description stuart 2000-05-09 13:15:04 EDT
Cyrix SVGA mediagx driver with 2Meg video RAM, 16bpp at 1024x768.
At 16bpp, it mostly works, but dragging a window
past column 768 from the left creates a narrow column of garbage.  Also,
scrolling a window horizontally that overlaps that column will create
the column of garbage.  This driver works correctly with 8pp or at

Note - scrolling vertically first scrolls the window to the left of
column 768, then to the right of column 768.  This artifact makes it
clear that there is something magic about that column at 16bpp, 1024x768.
There seems to be a bug handling this for horizontal scrolling.

Also Note, the RedHat installation program could not automatically
install the
mediagx driver because this hardware requires special modelines.  The
modeline tweaks needed are hinted at the driver error messages and
described more fully in the xfree86 docs for the Cyrix MediaGX.

I have also reported this bug to xfree86.org.  They advised me to use
version 3.3.3.  I have chosen to use 8bpp for now instead.
Comment 1 stuart 2000-05-09 13:16:59 EDT
Created attachment 235 [details]
XFree86 Xserver output for 1024x768 16bpp
Comment 2 Preston Brown 2000-08-29 14:27:59 EDT
afaik, this was all corrected for 7.0.  Please test 7.0 and reopen the bug if
the problem persists.

MediaGX graphics are a major pain.  If we haven't fixed this problem as of 7.0
it will likely never be fixed, as the hardware is now very old and not many
systems employ it.

Note You need to log in before you can comment on or make changes to this bug.